Skip to main content
POST
/
subscription
/
{id}
/
cancel
cancel subscription at period end
curl --request POST \
  --url https://uat-api.clinkbill.com/api/subscription/{id}/cancel \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Timestamp: <api-key>' \
  --data '
{
  "reason": "<string>",
  "cancelReasonCode": "too_expensive"
}
'
{
  "code": 123,
  "msg": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Your secret API key obtained from the Clink dashboard (Developers section)

X-Timestamp
string
header
required

Current timestamp in milliseconds since Unix epoch (required for request signing)

Path Parameters

id
string
required

Unique identifier of the subscription

Body

application/json

cancel request

reason
string
required
Required string length: 1 - 255
cancelReasonCode
enum<string>

Allowed cancel reason codes

Available options:
too_expensive,
need_more_features,
found_alternative,
no_longer_needed,
poor_customer_service,
poor_usability,
poor_quality,
other_reasons

Response

updated subscription

code
integer<int32>
msg
string
data
object